Subject: [Mgs] Sprite Diff

From: Frank Krajewski via Mgs <[email-masked]>
Date: Sat, 7 Sep 2019 12:20:37 -0400

I know this is not MG but it is LBC related. I have a good friend in 
Reno who is restoring a Bugeye and is in dire need of a 3.9 diff. If any 
of you have one or know of one available please let me know.

Frank Krajewski

_______________________________________________

[email-masked]

Archive: http://www.team.net/pipermail/mgs http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]